Bug 247072 - textproc/xalan-c: Update to 1.12
Summary: textproc/xalan-c: Update to 1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: https://github.com/apache/xalan-c/rel...
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-06-07 22:04 UTC by Roger Leigh
Modified: 2020-07-01 08:40 UTC (History)
3 users (show)

See Also:


Attachments
Patch to upgrade to xalan-c 1.12 (6.02 KB, application/mbox)
2020-06-07 22:04 UTC, Roger Leigh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Leigh 2020-06-07 22:04:37 UTC
Created attachment 215344 [details]
Patch to upgrade to xalan-c 1.12

New upstream release 1.12 released.

- change maintainer address (I'm now an Apache person and an upstream maintainer too)
- update version
- switch build to cmake
- use C++11 for std::thread and other language features
- use ICU optionally (defaults to on since it affects EXSLT functionality if missing)
- patch missing header; opened issue upstream (https://issues.apache.org/jira/browse/XALANC-809)
- drop older patch now it's fixed upstream
- update pkg-plist
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-08 05:39:10 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 2 Automation User 2020-06-08 05:57:23 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/153833366
Comment 3 commit-hook freebsd_committer 2020-07-01 08:37:49 UTC
A commit references this bug:

Author: danfe
Date: Wed Jul  1 08:37:22 UTC 2020
New revision: 540932
URL: https://svnweb.freebsd.org/changeset/ports/540932

Log:
  - Update to the new upstream release 1.12
  - Maintainer is now an Apache person and upstream maintainer too
  - Switch the build to CMake, GC old cruft and MAKE_JOBS_UNSAFE
  - Require C++11-capable compiler for std::thread and other features
  - Allow to use ICU optionally (default to on since it affects EXSLT
    functionality if missing)
  - Patch missing header; opened issue upstream
    (https://issues.apache.org/jira/browse/XALANC-809)
  - Drop the older patch now as it's fixed upstream

  PR:		247072
  Submitted by:	maintainer

Changes:
  head/textproc/xalan-c/Makefile
  head/textproc/xalan-c/distinfo
  head/textproc/xalan-c/files/patch-src_xalanc_CMakeLists.txt
  head/textproc/xalan-c/files/patch-src_xalanc_PlatformSupport_XalanLocator.hpp
  head/textproc/xalan-c/pkg-plist
Comment 4 Alexey Dokuchaev freebsd_committer 2020-07-01 08:40:02 UTC
Port was updated with ports r540932, thanks!